package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2MrssQueryQueryAcctInfoRequest;

/**
 * @author nxj
 * @date 2024/1/16 09:58
 * @description 收单清结算接口V2-账户信息查询DEMO
 */
public class V2MrssQueryQueryAcctInfoRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2MrssQueryQueryAcctInfoRequest req = new V2MrssQueryQueryAcctInfoRequest();
        req.setQryNo("123456789");
        req.setMerId("82219305946000D");
        req.setBalanceFlag("2");

        //3. 发送请求
        String response = LKLSDK.httpPost(req, false, true);

        //4. 响应
        System.out.println(response);
    }
}
